io.etcd.jetcd.api

## Class PutRequest.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessageV3.Builder<PutRequest.Builder>
      - - io.etcd.jetcd.api.PutRequest.Builder

All Implemented Interfaces:
  com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, PutRequestOrBuilder, Cloneable

Enclosing class:
  PutRequest

    public static final class PutRequest.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<PutRequest.Builder>
    implements PutRequestOrBuilder

Protobuf type `etcdserverpb.PutRequest`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`PutRequest.Builder` `addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`PutRequest` `build()`
`PutRequest` `buildPartial()`
`PutRequest.Builder` `clear()`
`PutRequest.Builder` `clearField(com.google.protobuf.Descriptors.FieldDescriptor field)`
`PutRequest.Builder` `clearIgnoreLease()` If ignore_lease is set, etcd updates the key using its current lease.
`PutRequest.Builder` `clearIgnoreValue()` If ignore_value is set, etcd updates the key using its current value.
`PutRequest.Builder` `clearKey()` key is the key, in bytes, to put into the key-value store.
`PutRequest.Builder` `clearLease()` lease is the lease ID to associate with the key in the key-value store.
`PutRequest.Builder` `clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`PutRequest.Builder` `clearPrevKv()` If prev_kv is set, etcd gets the previous key-value pair before changing it.
`PutRequest.Builder` `clearValue()` value is the value, in bytes, to associate with the key in the key-value store.
`PutRequest.Builder` `clone()`
`PutRequest` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor` `getDescriptorForType()`
`boolean` `getIgnoreLease()` If ignore_lease is set, etcd updates the key using its current lease.
`boolean` `getIgnoreValue()` If ignore_value is set, etcd updates the key using its current value.
`com.google.protobuf.ByteString` `getKey()` key is the key, in bytes, to put into the key-value store.
`long` `getLease()` lease is the lease ID to associate with the key in the key-value store.
`boolean` `getPrevKv()` If prev_kv is set, etcd gets the previous key-value pair before changing it.
`com.google.protobuf.ByteString` `getValue()` value is the value, in bytes, to associate with the key in the key-value store.
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`PutRequest.Builder` `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`PutRequest.Builder` `mergeFrom(com.google.protobuf.Message other)`
`PutRequest.Builder` `mergeFrom(PutRequest other)`
`PutRequest.Builder` `mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`
`PutRequest.Builder` `setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`PutRequest.Builder` `setIgnoreLease(boolean value)` If ignore_lease is set, etcd updates the key using its current lease.
`PutRequest.Builder` `setIgnoreValue(boolean value)` If ignore_value is set, etcd updates the key using its current value.
`PutRequest.Builder` `setKey(com.google.protobuf.ByteString value)` key is the key, in bytes, to put into the key-value store.
`PutRequest.Builder` `setLease(long value)` lease is the lease ID to associate with the key in the key-value store.
`PutRequest.Builder` `setPrevKv(boolean value)` If prev_kv is set, etcd gets the previous key-value pair before changing it.
`PutRequest.Builder` `setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`PutRequest.Builder` `setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`
`PutRequest.Builder` `setValue(com.google.protobuf.ByteString value)` value is the value, in bytes, to associate with the key in the key-value store.

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Method Detail

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<PutRequest.Builder>`

#### clear

    public PutRequest.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<PutRequest.Builder>`

#### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<PutRequest.Builder>`

#### getDefaultInstanceForType

    public PutRequest getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

#### build

    public PutRequest build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

#### buildPartial

    public PutRequest buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

#### clone

    public PutRequest.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<PutRequest.Builder>`

#### setField

    public PutRequest.Builder setField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                       Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PutRequest.Builder>`

#### clearField

    public PutRequest.Builder clearField(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PutRequest.Builder>`

#### clearOneof

    public PutRequest.Builder clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<PutRequest.Builder>`

#### setRepeatedField

    public PutRequest.Builder setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                               int index,
                                               Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PutRequest.Builder>`

#### addRepeatedField

    public PutRequest.Builder addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                               Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PutRequest.Builder>`

#### mergeFrom

    public PutRequest.Builder mergeFrom(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<PutRequest.Builder>`

#### mergeFrom

    public PutRequest.Builder mergeFrom(PutRequest other)

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<PutRequest.Builder>`

#### mergeFrom

    public PutRequest.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                 throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<PutRequest.Builder>`
Throws:
  `IOException`

#### getKey

    public com.google.protobuf.ByteString getKey()

     key is the key, in bytes, to put into the key-value store.

`bytes key = 1;`

Specified by:
  `getKey` in interface `PutRequestOrBuilder`
Returns:
  The key.

#### setKey

    public PutRequest.Builder setKey(com.google.protobuf.ByteString value)

     key is the key, in bytes, to put into the key-value store.

`bytes key = 1;`

Parameters:
  `value` - The key to set.
Returns:
  This builder for chaining.

#### clearKey

    public PutRequest.Builder clearKey()

     key is the key, in bytes, to put into the key-value store.

`bytes key = 1;`

Returns:
  This builder for chaining.

#### getValue

    public com.google.protobuf.ByteString getValue()

     value is the value, in bytes, to associate with the key in the key-value store.

`bytes value = 2;`

Specified by:
  `getValue` in interface `PutRequestOrBuilder`
Returns:
  The value.

#### setValue

    public PutRequest.Builder setValue(com.google.protobuf.ByteString value)

     value is the value, in bytes, to associate with the key in the key-value store.

`bytes value = 2;`

Parameters:
  `value` - The value to set.
Returns:
  This builder for chaining.

#### clearValue

    public PutRequest.Builder clearValue()

     value is the value, in bytes, to associate with the key in the key-value store.

`bytes value = 2;`

Returns:
  This builder for chaining.

#### getLease

    public long getLease()

     lease is the lease ID to associate with the key in the key-value store. A lease
     value of 0 indicates no lease.

`int64 lease = 3;`

Specified by:
  `getLease` in interface `PutRequestOrBuilder`
Returns:
  The lease.

#### setLease

    public PutRequest.Builder setLease(long value)

     lease is the lease ID to associate with the key in the key-value store. A lease
     value of 0 indicates no lease.

`int64 lease = 3;`

Parameters:
  `value` - The lease to set.
Returns:
  This builder for chaining.

#### clearLease

    public PutRequest.Builder clearLease()

     lease is the lease ID to associate with the key in the key-value store. A lease
     value of 0 indicates no lease.

`int64 lease = 3;`

Returns:
  This builder for chaining.

#### getPrevKv

    public boolean getPrevKv()

     If prev_kv is set, etcd gets the previous key-value pair before changing it.
     The previous key-value pair will be returned in the put response.

`bool prev_kv = 4;`

Specified by:
  `getPrevKv` in interface `PutRequestOrBuilder`
Returns:
  The prevKv.

#### setPrevKv

    public PutRequest.Builder setPrevKv(boolean value)

     If prev_kv is set, etcd gets the previous key-value pair before changing it.
     The previous key-value pair will be returned in the put response.

`bool prev_kv = 4;`

Parameters:
  `value` - The prevKv to set.
Returns:
  This builder for chaining.

#### clearPrevKv

    public PutRequest.Builder clearPrevKv()

     If prev_kv is set, etcd gets the previous key-value pair before changing it.
     The previous key-value pair will be returned in the put response.

`bool prev_kv = 4;`

Returns:
  This builder for chaining.

#### getIgnoreValue

    public boolean getIgnoreValue()

     If ignore_value is set, etcd updates the key using its current value.
     Returns an error if the key does not exist.

`bool ignore_value = 5;`

Specified by:
  `getIgnoreValue` in interface `PutRequestOrBuilder`
Returns:
  The ignoreValue.

#### setIgnoreValue

    public PutRequest.Builder setIgnoreValue(boolean value)

     If ignore_value is set, etcd updates the key using its current value.
     Returns an error if the key does not exist.

`bool ignore_value = 5;`

Parameters:
  `value` - The ignoreValue to set.
Returns:
  This builder for chaining.

#### clearIgnoreValue

    public PutRequest.Builder clearIgnoreValue()

     If ignore_value is set, etcd updates the key using its current value.
     Returns an error if the key does not exist.

`bool ignore_value = 5;`

Returns:
  This builder for chaining.

#### getIgnoreLease

    public boolean getIgnoreLease()

     If ignore_lease is set, etcd updates the key using its current lease.
     Returns an error if the key does not exist.

`bool ignore_lease = 6;`

Specified by:
  `getIgnoreLease` in interface `PutRequestOrBuilder`
Returns:
  The ignoreLease.

#### setIgnoreLease

    public PutRequest.Builder setIgnoreLease(boolean value)

     If ignore_lease is set, etcd updates the key using its current lease.
     Returns an error if the key does not exist.

`bool ignore_lease = 6;`

Parameters:
  `value` - The ignoreLease to set.
Returns:
  This builder for chaining.

#### clearIgnoreLease

    public PutRequest.Builder clearIgnoreLease()

     If ignore_lease is set, etcd updates the key using its current lease.
     Returns an error if the key does not exist.

`bool ignore_lease = 6;`

Returns:
  This builder for chaining.

#### setUnknownFields

    public final PutRequest.Builder setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<PutRequest.Builder>`

#### mergeUnknownFields

    public final PutRequest.Builder mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<PutRequest.Builder>`